Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.webapp
Class ConverterELTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ConverterELTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public abstract class ConverterELTag

extends javax.servlet.jsp.tagext.TagSupport

ConverterELTag is a base class for all JSP custom actions that create and register a `Converter` instance on the `ValueHolder` associated with our most immediate surrounding instance of a tag whose implementation class is a subclass of `UIComponentClassicTagBase`. To avoid creating duplicate instances when a page is redisplayed, creation and registration of a `Converter` occurs only if the corresponding `UIComponent` was created (by the owning `UIComponentTag`) during the execution of the current page.

This class may be used as a base class for tag instances that support specific `Converter` subclasses.

Subclasses of this class must implement the `createConverter()` method, which creates and returns a `Converter` instance. Any configuration properties that specify behavior of this `Converter` must have been set by the `createConverter()` method. Generally, this occurs by copying corresponding attribute values on the tag instance.

This tag creates no output to the page currently being created. It is used solely for the side effect of `Converter` creation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConverterELTag()`

Method Summary
`protected abstract Converter` | `createConverter()` Create and return a new `Converter` to be registered on our surrounding `UIComponent`.
`int` | `doStartTag()` Create a new instance of the specified `Converter` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentClassicTagBase` instance, if the `UIComponent` instance was created by this execution of the containing JSP page.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterELTag

    public ConverterELTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Create a new instance of the specified `Converter` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentClassicTagBase` instance, if the `UIComponent` instance was created by this execution of the containing JSP page. If the localValue of the `UIComponent` is a String, attempt to convert it.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP error occurs

### createConverter

    protected abstract Converter createConverter()
                                          throws javax.servlet.jsp.JspException

  Create and return a new `Converter` to be registered on our surrounding `UIComponent`.

  Throws:
    `javax.servlet.jsp.JspException` - if a new instance cannot be created

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.